package at.acdp.urweb;

public class Params {
    @picocli.CommandLine.Option(names = { "-p", "--port" }, description = "HTTP Server port", required = true)
    public int port = 8080;

    @picocli.CommandLine.Option(names = { "-w", "--webroot" }, description = "Use webroot from filesystem", defaultValue = "")
    public String webroot = "";

    @picocli.CommandLine.Option(names = { "-rip", "--robotip" }, description = "Robot ip address", defaultValue = "")
    public String robotIP = "";

    @picocli.CommandLine.Option(names = { "-rp", "--robotport" }, description = "Robot tcp port", defaultValue = "30001")
    public int robotPort = 30001;
}

