package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;
import com.eclipsesource.json.JsonObject;
import java.io.IOException;

public class AdditionalInfo implements IRead, IJsonObject{
    public boolean freeDriveButtonPressed;
    public boolean freeDriveButtonEnabled;
    public boolean ioEnabledFreeDrive;

    public void read(CountDataInputStream di, int size) throws IOException {
        freeDriveButtonPressed = di.readBoolean();
        freeDriveButtonEnabled = di.readBoolean();
        ioEnabledFreeDrive = di.readBoolean();
    }

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
                .add("freeDriveButtonPressed", freeDriveButtonPressed)
                .add("freeDriveButtonEnabled", freeDriveButtonEnabled)
                .add("ioEnabledFreeDrive", ioEnabledFreeDrive)
                ;
    }
}
