package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;
import com.eclipsesource.json.JsonObject;

import java.io.IOException;

public class ProgramStateMessage implements IRead, IJsonObject{
    public String data;

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
            .add("data", data);
    }

    @Override
    public void read(CountDataInputStream di, int size) throws IOException {
        byte[] asd=new byte[size-5];
        di.readFully(asd);
        data=new String(asd);
    }
}
