# UR10 Robot REST API
#### /
Index

#### /cmd
Execute ur scripts
Parameters: "script": urscript
"CPEE-CALLBACK": ..

#### /cmdq
Current command queue in json format

### /log/:from
Logfile ringbuffer since :from(int)

### /freedrive
Enable freedrive/teach - Mode
    
### Usage
```python
Usage: <main class> -p=<port> [-rip=<robotIP>] [-rp=<robotPort>] [-w=<webroot>]
  -p, --port=<port>         HTTP Server port
      -rip, --robotip=<robotIP>
                            Robot ip address
      -rp, --robotport=<robotPort>
                            Robot tcp port
  -w, --webroot=<webroot>   Use webroot from filesystem
```

```
./jdk-12+33-jre/bin/java -jar urweb-1.0-SNAPSHOT-shaded.jar
```

## Deployment

[systemd service documentation](https://www.freedesktop.org/software/systemd/man/systemd.service.html)
```python
[Unit]
Description=Urweb
After=syslog.target

[Service]
Type=notify
NotifyAccess=all
WorkingDirectory=/opt/myserver/
ExecStart=/usr/bin/java -server -jar urwebshaded.jar -p=8080 -rip=192.168.30.200 -rp=30001
# WatchdogSec=30
Restart=always

[Install]
WantedBy=multi-user.target
```