package at.acdp.urweb.sclient;

import at.acdp.urweb.sclient.data.IJsonObject;
import at.acdp.urweb.sclient.data.LogHolder;
import com.eclipsesource.json.JsonArray;
import com.eclipsesource.json.JsonObject;
import com.ibm.jvm.Log;

import java.util.Arrays;

public class LogEntries implements IJsonObject {
    public LogHolder[] entries;
    public int lastID;

    LogEntries(LogHolder[] entries, int lastID) {
        this.entries=entries;
        this.lastID=lastID;
    }

    @Override
    public JsonObject toJSON() {
        JsonObject jo=new JsonObject();
        jo.add("lastID", lastID);
        JsonArray ja=new JsonArray();
        for(LogHolder h:entries)
            if(h!=null) ja.add(h.toJSON());
        jo.add("entries", ja);
        return jo;
    }
}
