package at.acdp.urweb.sclient.data;

import com.eclipsesource.json.JsonObject;

import java.io.IOException;

public class Message implements IJsonObject {
    String message;
    Throwable e;

    public Message(String message, Throwable e) {
        this.message=message;
        this.e=e;
    }

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
            .add("message", message)
            .add("exception", e.toString());
    }
}
