package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;
import com.eclipsesource.json.JsonObject;

import java.io.IOException;

public class RobotProgramLabel implements IRead, IJsonObject{
    public int id;
    public String message;

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
            .add("id", id)
            .add("message", message);
    }

    @Override
    public void read(CountDataInputStream di, int size) throws IOException {
        id=di.readInt();
        byte[] asd=new byte[size-15-4];
        di.readFully(asd);
        message=new String(asd);
    }
}
