package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;
import com.eclipsesource.json.JsonObject;

import java.io.DataInputStream;
import java.io.IOException;

public class ToolCommInfo implements IRead, IJsonObject {
    public boolean toolCommunicationEnabled;
    public int baudrate;
    public int parity;
    public int rxIdleChars; //TODO: geraten
    public int txIdleChars;
    public int whatever;

    public void read(CountDataInputStream di, int size) throws IOException {
        toolCommunicationEnabled=di.readBoolean();
        baudrate=di.readInt();
        parity=di.readInt();
        rxIdleChars=di.readInt();
        txIdleChars=di.readInt();
        whatever=di.readInt();
    }


    @Override
    public JsonObject toJSON() {
        return new JsonObject()
                .add("toolCommunicationEnabled", toolCommunicationEnabled)
                .add("baudrate", baudrate)
                .add("parity", parity)
                .add("rxIdleChars", rxIdleChars)
                .add("txIdleChars", txIdleChars)
                .add("whatever", whatever)
                ;
    }
}
